Package twisted :: Package tap :: Module words :: Class Options

[show private | hide private]
[frames | no frames]

## Class Options

    UserDict --+
               |
         Options --+
                   |
                  Options

Method Summary
| `__init__(self)` (inherited from `Options`)
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_bot`(self, option)` Specify a bot-plugin to load; this should be in the format 'plugin:nickname'.
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| ``opt_user`(self, option)` Specify a user/password combination to add to the authorizer and chat service immediately.
| `opt_version(self)` (inherited from `Options`)
| ``parseArgs`(self)` I am called with any leftover arguments which were not options. (inherited from `Options`)
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed. (inherited from `Options`)
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)

Class Variable Summary
`None` | `bots`
`string` | `longdesc`
`list` | `optParameters`
`string` | `synopsis`
`None` | `users`

Method Details

### opt_bot(self, option)

Specify a bot-plugin to load; this should be in the format 'plugin:nickname'. plugin types are: botbot

### opt_user(self, option)

Specify a user/password combination to add to the authorizer and chat service immediately.

Class Variable Details

### bots

  Type:
    `None`
  Value:

        None

### longdesc

  Type:
    `string`
  Value:

        'Makes a twisted.words service and support servers.'

### optParameters

  Type:
    `list`
  Value:

        [['irc', 'i', '6667', 'Port to run the IRC server on.'],
         ['irchost', 'h', '', 'Host to bind IRC server to.'],
         ['wordshost', 'b', '', 'Host to bind Words service to.'],
         ['webhost', 's', '', 'Host to bind web interface to.'],
         ['port', 'p', '8787', 'Port to run the Words service on.'],
         ['web', 'w', '8080', 'Port to run the web interface on.']]

### synopsis

  Type:
    `string`
  Value:

        'Usage: mktap words [options]'

### users

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:18:15 2003 | http://epydoc.sf.net